<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Address Map</title>
    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css" />
    <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css" />
    <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.css" />
    <link rel="stylesheet" href="dist/css/address.css" />
    <style>
      i {
        cursor: pointer;
      }
    </style>
  </head>

  <body>
    <div class="wrapper">
      <!-- Preloader -->
      <!-- <div class="preloader flex-column justify-content-center align-items-center">
        <img class="animation__shake" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60" />
      </div> -->
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
          <!-- Navbar Search -->

          <!-- Messages Dropdown Menu -->

          <!-- Notifications Dropdown Menu -->

          <li>
            <div class="form-group">
              <button id="btn-login" class="btn btn-info mx-3">Login</button>
            </div>
          </li>

          <li class="nav-item">
            <a class="nav-link" data-widget="fullscreen" href="#" role="button">
              <i class="fas fa-expand-arrows-alt"></i>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->
      <!-- Main Sidebar Container -->
      <aside style="min-height: 100vh" class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user panel (optional) -->
          <div class="inf">
            <a href="#" class="d-block text-center">DEV CAMP</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link">
                <i class="nav-icon fas fa-th"></i>
                <p>
                  Manage
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="./addressMap.html" class="nav-link active">
                    <p><i class="fa-regular fa-map"></i> Địa chỉ tọa độ</p>
                  </a>
                </li>
              </ul>
            </li>
            <!--  -->
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1 class="m-0">Địa chỉ tọa độ</h1>
              </div>
              <!-- /.col -->
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">Địa chỉ tọa độ</li>
                </ol>
              </div>
              <!-- /.col -->
            </div>
            <!-- /.row -->
          </div>
          <!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
          <div class="container-fluid">
            <div class="col">
              <div class="collapse multi-collapse" id="crud-create">
                <div class="card card-body">
                  <h2 style="text-align: center">Thêm mới</h2>
                  <form class="container" id="create-form">
                    <!-- input  -->
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label for="input-address-map">Địa chỉ <span class="text-danger">*</span></label>
                      </div>
                      <div class="col-sm-9">
                        <input
                          rows="3"
                          placeholder="Địa chỉ"
                          id="input-address-map"
                          class="form-control"
                          name="address"
                        />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label for="input-lat">Vĩ độ lat <span class="text-danger">*</span></label>
                      </div>
                      <div class="col-sm-6">
                        <input type="number" id="input-lat" placeholder="Vĩ độ lat" class="form-control" name="lat" />
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-3">
                        <label for="input-lng">Kinh độ lng <span class="text-danger">*</span></label>
                      </div>
                      <div class="col-sm-6">
                        <input type="text" id="input-lng" placeholder="Kinh độ lng" class="form-control" name="lng" />
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-sm-3"></div>
                      <div class="col-sm-9 d-flex">
                        <button class="btn btn-primary mr-3" id="create-data">Tạo mới</button>
                        <button
                          data-toggle="collapse"
                          href="#crud-create"
                          role="button"
                          aria-expanded="false"
                          aria-controls="crud-create"
                          class="btn btn-secondary"
                          id="cancel-data"
                        >
                          Cancel
                        </button>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </div>

            <table class="table table-bordered table-striped table-hover text-center" id="data-table">
              <thead>
                <tr>
                  <th>STT</th>
                  <th>Địa chỉ</th>
                  <th>Vĩ độ lat</th>
                  <th>Kinh độ lng</th>
                </tr>
              </thead>
              <tbody></tbody>
            </table>

            <!-- Modal update -->
            <div
              class="modal fade"
              id="modal-update"
              tabindex="-1"
              role="dialog"
              aria-labelledby="modelTitleId"
              aria-hidden="true"
            >
              <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title">Cập nhật</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <form class="container" id="update-form">
                      <!-- input  -->
                      <div class="row form-group">
                        <div class="col-sm-3">
                          <label for="input-address-map-update">Địa chỉ <span class="text-danger">*</span></label>
                        </div>
                        <div class="col-sm-9">
                          <input
                            rows="3"
                            placeholder="Địa chỉ"
                            id="input-address-map-update"
                            class="form-control"
                            name="address"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-3">
                          <label for="input-lat-update">Vĩ độ lat <span class="text-danger">*</span></label>
                        </div>
                        <div class="col-sm-6">
                          <input
                            type="number"
                            id="input-lat-update"
                            placeholder="Vĩ độ lat"
                            class="form-control"
                            name="lat"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-3">
                          <label for="input-lng-update">Kinh độ lng <span class="text-danger">*</span></label>
                        </div>
                        <div class="col-sm-6">
                          <input
                            type="text"
                            id="input-lng-update"
                            placeholder="Kinh độ lng"
                            class="form-control"
                            name="lng"
                          />
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-sm-3"></div>
                        <div class="col-sm-6">
                          <button type="button" class="btn btn-primary" id="btn-save">Lưu</button>
                          <button type="button" class="btn btn-secondary" data-dismiss="modal" id="btn-close">
                            Close
                          </button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
            <!-- end modal update -->

            <!-- Modal -->
            <div class="modal fade" id="modal-delete-data">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title text-danger">Xác nhận xóa</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <h6 class="text-danger">Bạn có chác muốn xóa</h6>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-danger" id="delete-data">Delete</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
        <!-- /.content-wrapper -->
      </div>
    </div>
    <footer class="main-footer">
      <strong>Copyright &copy; 2022 <a href="#">Devcamp 120</a>.</strong>
      All rights reserved.
      <div class="float-right d-none d-sm-inline-block"><b>Version</b> 1.0</div>
    </footer>
    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="plugins/jquery-ui/jquery-ui.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- DataTables  & Plugins -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
    <script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.html5.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.2.1/js/buttons.print.min.js"></script>
    <script
      type="text/javascript"
      src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"
    ></script>
    <!-- ChartJS -->
    <script src="plugins/chart.js/Chart.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.min.js"></script>
    <script src="./src/index.js"></script>
  </body>
</html>
